Skip to main content
PATCH
/
api
/
v1
/
school
/
form
/
{id}
Update form partial
curl --request PATCH \
  --url https://test-api.afrainity.com/api/v1/school/form/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "level": "A Level",
  "is_deleted": true
}
'
{
  "name": "<string>",
  "level": "A Level",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "is_deleted": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this form.

Body

Auto-populate created_by from request.user when available.

name
string
Required string length: 1 - 255
level
enum<string>
  • A Level - A Level
  • O Level - O Level
Available options:
A Level,
O Level
is_deleted
boolean

Response

200 - application/json

Auto-populate created_by from request.user when available.

name
string
required
Maximum string length: 255
level
enum<string>
required
  • A Level - A Level
  • O Level - O Level
Available options:
A Level,
O Level
id
string<uuid>
is_deleted
boolean
created_at
string<date-time>
updated_at
string<date-time>